Change in osmo-e1-hardware[master]: add contrib/jenkins.sh for build verification + manual / firmware upload

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

laforge gerrit-no-reply at lists.osmocom.org
Thu Dec 17 14:53:43 UTC 2020


laforge has submitted this change. ( https://gerrit.osmocom.org/c/osmo-e1-hardware/+/21757 )

Change subject: add contrib/jenkins.sh for build verification + manual / firmware upload
......................................................................

add contrib/jenkins.sh for build verification + manual / firmware upload

Change-Id: I70d7de4299e773b38a014e4884641712edbd45c3
---
A contrib/jenkins.sh
1 file changed, 59 insertions(+), 0 deletions(-)

Approvals:
  laforge: Looks good to me, approved; Verified



diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..5bc05f7
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,59 @@
+#!/usr/bin/env bash
+# jenkins build helper script for osmo-e1-hardware.  This is how we build on jenkins.osmocom.org
+#
+# environment variables:
+# * WITH_MANUALS: build manual PDFs if set to "1"
+# * PUBLISH: upload manuals after building if set to "1" (ignored without WITH_MANUALS = "1")
+
+set -e
+
+TOPDIR=`pwd`
+publish="$1"
+
+# we assume that PATH includes the path to the respective toolchain
+
+# firmware build
+FW_DIRS="firmware/ice40-riscv/e1-tracer firmware/ice40-riscv/icE1usb"
+for d in $FW_DIRS; do
+	echo
+	echo "=============== $d FIRMWARE  =============="
+	make -C $d clean all
+done
+
+# The argument '--publish' is used to trigger publication/upload of firmware
+if [ "x$publish" = "x--publish" ]; then
+
+	echo
+	echo "=============== UPLOAD FIRMWARE =============="
+
+	cat > "/build/known_hosts" <<EOF
+[rita.osmocom.org]:48 ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDDgQ9HntlpWNmh953a2Gc8NysKE4orOatVT1wQkyzhARnfYUerRuwyNr1GqMyBKdSI9amYVBXJIOUFcpV81niA7zQRUs66bpIMkE9/rHxBd81SkorEPOIS84W4vm3SZtuNqa+fADcqe88Hcb0ZdTzjKILuwi19gzrQyME2knHY71EOETe9Yow5RD2hTIpB5ecNxI0LUKDq+Ii8HfBvndPBIr0BWYDugckQ3Bocf+yn/tn2/GZieFEyFpBGF/MnLbAAfUKIdeyFRX7ufaiWWz5yKAfEhtziqdAGZaXNaLG6gkpy3EixOAy6ZXuTAk3b3Y0FUmDjhOHllbPmTOcKMry9
+[rita.osmocom.org]:48 ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBPdWn1kEousXuKsZ+qJEZTt/NSeASxCrUfNDW3LWtH+d8Ust7ZuKp/vuyG+5pe5pwpPOgFu7TjN+0lVjYJVXH54=
+[rita.osmocom.org]:48 ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK8iivY70EiR5NiGChV39gRLjNpC8lvu1ZdHtdMw2zuX
+EOF
+	SSH_COMMAND="ssh -o 'UserKnownHostsFile=/build/known_hosts' -p 48"
+	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/icE1usb/*-*-*-*.{bin,elf} binaries at rita.osmocom.org:web-files/icE1usb/firmware/all/
+	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/icE1usb/icE1usb-fw.{bin,elf} binaries at rita.osmocom.org:web-files/e1-tracer/firmware/latest/
+	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/e1-tracer/*-*-*-*.{bin,elf} binaries at rita.osmocom.org:web-files/e1-tracer/firmware/all/
+	rsync --archive --verbose --compress --rsh "$SSH_COMMAND" $TOPDIR/firmware/ice40-riscv/e1-tracer/e1_tracer-fw.{bin,elf} binaries at rita.osmocom.org:web-files/e1-tracer/firmware/latest/
+fi
+
+# manuals build + optional publication
+if [ "$WITH_MANUALS" = "1" ]; then
+	make -C doc/manuals clean all
+	if [ "$PUBLISH" = "1" ]; then
+		make -C doc/manuals publish
+	fi
+fi
+
+# gateware build
+if [ "$WITH_GATEWARE" = "1" ]; then
+	GATE_VARS="IGNORE_TIMING=1 SINGLE_CHANNEL=1"
+	GATE_DIRS="gateware/e1-tracer gateware/icE1usb"
+	for d in $GATE_DIRS; do
+		echo
+		echo "=============== $d GATEWARE  =============="
+		make -C $d clean
+		make -C $d ${GATE_VARS}
+	done
+fi

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-e1-hardware/+/21757
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-e1-hardware
Gerrit-Branch: master
Gerrit-Change-Id: I70d7de4299e773b38a014e4884641712edbd45c3
Gerrit-Change-Number: 21757
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge at osmocom.org>
Gerrit-Reviewer: laforge <laforge at osmocom.org>
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20201217/bd9acde0/attachment.htm>


More information about the gerrit-log mailing list